cordova.define("com.fancypush.phonegap.plugins.FancyPush.PushNotification", function(require, exports, module) { //
//  PushNotification.js
//
// Based on the Push Notifications Cordova Plugin by Olivier Louvignes on 06/05/12.
// Modified by Max Konev on 18/05/12.
//
// FancyPush Push Notifications Plugin for Cordova iOS
// www.fancypush.com
//
// MIT Licensed

var PushNotificationLoader = function (require, exports, module) {

        var exec = require("cordova/exec");

        /**
         * Constructor.
         *
         * @returns {FancyPush}
         */
        function PushNotification() {
        };

        /**
         * Register device
         */

        PushNotification.prototype.registerDevice = function (config,successCallback, errorCallback) {
            exec(successCallback, errorCallback, "PushNotification", "registerDevice", [config]);
        };



        // Call this to get a detailed status of remoteNotifications
	PushNotification.prototype.getRemoteNotificationStatus = function(callback) {
            exec(successCallback, errorCallback, "PushNotification", "getRemoteNotificationStatus", []);
	};

	// Call this to set the application icon badge
	PushNotification.prototype.setApplicationIconBadgeNumber = function(badge, callback) {
            exec(successCallback, errorCallback, "PushNotification", "setApplicationIconBadgeNumber", [{badge: badge}]);
	};

	// Call this to clear all notifications from the notification center
	PushNotification.prototype.cancelAllLocalNotifications = function(callback) {
            exec(successCallback, errorCallback, "PushNotification", "cancelAllLocalNotifications", []);
	};

	// Event spawned when a notification is received while the application is active
	PushNotification.prototype.notificationCallback = function(notification) {
		var ev = document.createEvent('HTMLEvents');
		ev.notification = notification;
		ev.initEvent('push-notification', true, true, arguments);
		document.dispatchEvent(ev);
	};

        var pushNotification = new PushNotification();
        module.exports = pushNotification;

    }

    PushNotificationLoader(require, exports, module);

    cordova.define("cordova/plugin/PushNotification", PushNotificationLoader);

});
